BusWiringType (Apache CXF JavaDoc 3.6.11 API)

Package org.apache.cxf.configuration.spring

## Enum BusWiringType

- java.lang.Object
- - java.lang.Enum<BusWiringType>
  - - org.apache.cxf.configuration.spring.BusWiringType

- All Implemented Interfaces:
    `Serializable`, `Comparable<BusWiringType>`

      public enum BusWiringType
      extends Enum<BusWiringType>

  Enumeration for the ways in which the CXF bus can be wired into a Spring bean.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `CONSTRUCTOR` | Wire the bus into the first indexed constructor argument of the target bean.
    `PROPERTY` | Wire the bus into the `bus` property of the target bean.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static BusWiringType` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static BusWiringType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PROPERTY

          public static final BusWiringType PROPERTY

      Wire the bus into the `bus` property of the target bean.

    - #### CONSTRUCTOR

          public static final BusWiringType CONSTRUCTOR

      Wire the bus into the first indexed constructor argument of the target bean.

  - ### Method Detail

    - #### values

          public static BusWiringType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (BusWiringType c : BusWiringType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static BusWiringType valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null